Page MenuHomePhabricator

Change '--' to something more helpful in Wikistats page views by country table view
Closed, ResolvedPublic

Description

In the per-country stuff, we display -- instead of "Unknown", we should name it something better

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 9:44 AM
mforns renamed this task from Maps: Zoom limit and name for "Unknown" to Change '--' to something more helpful in Wikistats page views by coutry table view.Mar 8 2018, 10:54 AM
mforns updated the task description. (Show Details)
mforns added a subscriber: mforns.Mar 8 2018, 10:56 AM

I changed the title of this task and removed part of its description.
The zoom limits are already in place.

mforns edited projects, added Analytics; removed Analytics-Kanban.Mar 8 2018, 6:04 PM
mforns moved this task from Incoming to Mentoring on the Analytics board.

@mforns do you currently have something on mind instead of "--" ?

Hi @Sahil :]
I think "Unknown" would be the best.
Would that sound OK to you?

I was thinking the same :) Plus I don't think that we have any other reasonably good option besides that.

Hi lads - The reason for which we used '--' in compuing stats was because of https://en.wikipedia.org/wiki/Unknown
I'm super happy if you think of a better altenative !

@JAllemandou
I see. There's this problem with article names.
But in this case, though, where we are dealing with country names, I don't think "Unknown" is a problem here, right?
I'd agree we should keep consistency in the API, but in Wikistats front-end, I guess we can replace "--" with "Unknown" (only for country names!) safely.
Do you disagree?

sahil505 renamed this task from Change '--' to something more helpful in Wikistats page views by coutry table view to Change '--' to something more helpful in Wikistats page views by country table view.Mar 17 2018, 5:16 PM

Yes, I feel the same. Since https://en.wikipedia.org/wiki/Unknown does not have anything related (for now :P ) to a Country (name). So I guess I would go about replacing '--' with 'Unknown' in the patch. Please let me know if there are any other issues :) Thanks.

Thanks for making it clearer in my mind :)
Indeed, for country names and in fronend, please feel free to use Unknown.
Sorry for the noise.
Cheers
Joseph

Cool!
@sahil505, feel free to add a change to Wikistats in Gerrit for this issue, as you did with the other task.
This should be an easy one. And if you do, you can add this task as "microtasks finished" for your GSoC proposal.
Cheers!

@JAllemandou Thanks a lot.
@mforns On it :-)

Change 421330 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Changed '--' to 'Unknown' in Wikistats page views by country table view

https://gerrit.wikimedia.org/r/421330

mforns assigned this task to sahil505.Mar 26 2018, 7:06 PM

Change 421330 merged by Mforns:
[analytics/wikistats2@master] Changed '--' to 'Unknown' in Wikistats page views by country table view

https://gerrit.wikimedia.org/r/421330

mforns closed this task as Resolved.May 7 2018, 7:30 PM